RTCPReceiverInfo(3)

NAME
RTCPReceiverInfo -

Report block information of SR/RR RTCP reports.

SYNOPSIS

#include <rtcppkt.h>

  Public Member Functions
RTCPReceiverInfo (void *ri)
RTCPReceiverInfo (RTCPCompoundHandler::ReceiverInfo &si)
~RTCPReceiverInfo ()
uint8 getFractionLost () const
Get fraction of lost packets, as a number between 0 and 255.
uint32 getCumulativePacketLost () const
uint32 getExtendedSeqNum () const
uint32 getJitter () const
Get the statistical variance of the RTP data packets interarrival time.
uint16 getLastSRNTPTimestampInt () const
Get the integer part of the NTP timestamp of the last SR RTCP packet received from the source this receiver report refers to.
uint16 getLastSRNTPTimestampFrac () const
Get the fractional part of the NTP timestamp of the last SR RTCP packet received from the source this receiver report refers to.
uint32 getDelayLastSR () const
Get the delay between the last SR packet received and the transmission of this report.

Detailed Description

Report block information of SR/RR RTCP reports. Author:
    Federico Montesino Pouzols <fedemp@altern.org>

Constructor & Destructor Documentation

  RTCPReceiverInfo::RTCPReceiverInfo (void * ri) [inline]

  RTCPReceiverInfo::RTCPReceiverInfo (RTCPCompoundHandler::ReceiverInfo & si) [inline]

  RTCPReceiverInfo::~RTCPReceiverInfo () [inline]

Member Function Documentation

  uint32 RTCPReceiverInfo::getCumulativePacketLost () const [inline]

  uint32 RTCPReceiverInfo::getDelayLastSR () const [inline]

Get the delay between the last SR packet received and the transmission of this report. Returns:
    Delay, in units of 1/65536 seconds

  uint32 RTCPReceiverInfo::getExtendedSeqNum () const [inline]

  uint8 RTCPReceiverInfo::getFractionLost () const [inline]

Get fraction of lost packets, as a number between 0 and 255.

  uint32 RTCPReceiverInfo::getJitter () const [inline]

Get the statistical variance of the RTP data packets interarrival time. Returns:
    Interarrival jitter, in timestamp units.

  uint16 RTCPReceiverInfo::getLastSRNTPTimestampFrac () const [inline]

Get the fractional part of the NTP timestamp of the last SR RTCP packet received from the source this receiver report refers to.

  uint16 RTCPReceiverInfo::getLastSRNTPTimestampInt () const [inline]

Get the integer part of the NTP timestamp of the last SR RTCP packet received from the source this receiver report refers to.

Author

Generated automatically by Doxygen for ccRTP from the source code.